Subject: Re: [PATCH] Virtual ethernet tunnel (v.2)

From: Pavel Emelianov <[email-masked]>
Date: Fri, 08 Jun 2007 20:00:10 +0400

Ben Greear wrote:

[snip]

>>> I would also like some way to identify veth from other device types,
>>> preferably
>>> something like a value in sysfs.   However, that should not hold up
>>>     
>>
>> We can do this with ethtool. It can get and print the driver name of
>> the device.
>>   
> I think I'd like something in sysfs that we could query for any
> interface.  Possible return
> strings could be:
> VLAN
> VETH
> ETH
> PPP
> BRIDGE
> AP /* wifi access point interface */
> STA /* wifi station */
> ....
> 
> I will cook up a patch for consideration after veth goes in.
> 

Ben, could you please tell what sysfs features do you
plan to implement?

Thanks,
Pavel